Can't use grub2 on Karmic

Asked by Ian Hutchinson on 2009-10-10

I've been messing around with the Karmic beta, but it's having problems installing grub2 onto the Raid0 array that I have. Ubiquity ends when it gets to installing grub2, and it leaves legacy grub installed causing an Error 15 when booting up.

Does anyone know how I can manually install grub2 for Raid0 arrays?

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu grub2 Edit question
Assignee:
No assignee Edit question
Last query:
2009-10-10
Last reply:
2010-01-01

Some people have a problem upgrading from legacy-Grub. Id suggest doing a fresh install of karmic.

Hope that helps
Shane

Brent Dunnaway (bdunnaway) said : #2

Same here.
I've tried a fresh install. I get segfaults when grub-probe runs. It's related to LVM2 and mdadm raid devices, and the way grub2 handles them.... I am left with a completely unbootable system now until a alternate-install CD is released with updated LVM2 tools or Grub-PC updates. Ah well... that's Beta for ya. They've only got a few weeks to fix this, though.

I'm using a 10-15-09 daily build of the Karmic alternate CD

Paradigm (paradox) said : #3

according to a weirdly worded bug report on the gnu main bug tracker it seems the latest svn check out has fixed this. not quite sure though. heres a link. tell me if its the same. if this is the case then all we need to do is get the latest grub 2 version into the live cd.

link:
http://savannah.gnu.org/bugs/?func=detailitem&item_id=25581#options

is this what you mean?

Can you help with this problem?

Provide an answer of your own, or ask Ian Hutchinson for more information if necessary.

To post a message you must log in.